require "defines"
require "util"

--[[ globs and functions defined

glob.AlyxVC_MasterList
	List of all Void Chests

--]]



-------------------
function AlyxVC_Initialize(event)
	if glob.AlyxVC_MasterList == nil then
		glob.AlyxVC_MasterList = {}
	end
	
end

-------------------
function AlyxVC_CreateVC(event)
	if event.createdentity.name == "void-chest" then
		local entity = event.createdentity
		local voidFurnace = game.createentity({
			name = "void-chest-furnace",
			position = entity.position
		})
		voidFurnace.getinventory(1).insert({
			name = "coal",
			count = 10
		})
		glob.AlyxVC_MasterList[entity] = voidFurnace
		
	end
	
end

-------------------
function AlyxVC_RunStep(event)
	if (game.tick % (60 * 10)  == 0)  then
		for voidChest, voidChestFurnace in pairs(glob.AlyxVC_MasterList) do
		
			if voidChest.valid then
				------------------
				--Manage the chest
				local inventory = voidChest.getinventory(1)
			
				if not inventory.isempty() then
					local inventoryContents = inventory.getcontents()
					for itemName,itemCount in pairs(inventoryContents) do
						inventory.remove({
							name = itemName,
							count = 1
						})
						break
					end
				
				end
				------------------
				
				------------------------------
				--Manage the invisible furnace
				
				--Clear the output
				voidChestFurnace.getinventory(3).clear()
				
				--Fill it with fuel
				if voidChestFurnace.getinventory(1).getitemcount("coal") < 1 then
					voidChestFurnace.getinventory(1).insert({
						name = "coal",
						count = 10
					})
				end
				
				
				------------------------------
			
			else
				voidChestFurnace.destroy()
				glob.AlyxVC_MasterList[voidChest] = nil
			
			end
		end
	end
	
	--Make the furnace run if the Void Chest isn't empty, have this check going more often for better responsiveness
	for voidChest, voidChestFurnace in pairs(glob.AlyxVC_MasterList) do
		if voidChest.valid then
			if not voidChest.getinventory(1).isempty() then
				if voidChestFurnace.getinventory(2).getitemcount("iron-ore") < 2 then
					voidChestFurnace.getinventory(2).insert({
						name = "iron-ore",
						count = 10
					})
				end
			else
				voidChestFurnace.getinventory(2).clear()
			end
		else
			voidChestFurnace.destroy()
			glob.AlyxVC_MasterList[voidChest] = nil
		
		end
		
	end

end

game.oninit(AlyxVC_Initialize)
game.onevent(defines.events.ontick, AlyxVC_RunStep)
game.onevent(defines.events.onbuiltentity, AlyxVC_CreateVC)
game.onevent(defines.events.onrobotbuiltentity, AlyxVC_CreateVC)
