data:extend {
{
    type = "container",
    name = "void-chest",
    icon = "__base__/graphics/entity/steel-chest/steel-chest.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "void-chest"},
    max_health = 200,
    corpse = "small-remnants",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fast_replaceable_group = "container",
    inventory_size = 48,
    picture =
    {
      filename = "__base__/graphics/entity/steel-chest/steel-chest.png",
      priority = "extra-high",
      width = 48,
      height = 34,
      shift = {0.2, 0}
    }
	},
	
{
    type = "item",
    name = "void-chest",
    icon = "__base__/graphics/icons/steel-chest.png",
    flags = {"goes-to-quickbar"},
    subgroup = "storage",
    order = "a[items]-c[void-chest]",
    place_result = "void-chest",
    stack_size = 50
	},
	
{
    type = "recipe",
    name = "void-chest",
    enabled = "true",
    ingredients =
    {
      {"steel-chest", 1},
	  {"steel-furnace", 1},
      {"electronic-circuit", 3}
    },
    result = "void-chest"
	},
  
{
	type = "furnace",
	name = "void-chest-furnace",
	flags = {
		"not-on-map"
	},
	max_health = 1,
	selectable_in_game = false,
	destructible = false,
	crafting_categories = {
		"smelting"
	},
	result_inventory_size = 1,
	energy_usage = "180kW",
	crafting_speed = 1,
	source_inventory_size = 1,
	energy_source = 
	{
		type = "burner",
		effectivity = 1,
		fuel_inventory_size = 1,
		emissions = 0.05,
		smoke =
		{
			{
			  name = "smoke",
			  deviation = {0.1, 0.1},
			  frequency = 0.5,
			  position = {-0.5, -0.5},
			  starting_vertical_speed = 0.05
			}
		}
	},
	animation = {
		filename = "__base__/graphics/entity/steel-chest/steel-chest.png",
		priority = "very-low",
		width = 0,
		height = 0,
		frame_count = 1,
		shift = {0.2, 0}
	}
}
  
  
  
  
  
}